Subject: RFC 1345 as an input method (In reply to http://www.ietf.org/mail-archive/web/ietf/current/msg47588.html)

From: Mr Kim Sanders <[email-masked]>
Date: Wed, 02 Apr 2008 23:56:42 -0600

·  To: IETF General Discussion Mailing List <ietf at ietf.org> 

·  Subject: RFC 1345 as an input method 

·  From: Mr Kim Sanders <Mr.Kim.Sanders at shaw.ca> 

·  Date: Wed, 2 Apr 2008 

·  Cc: John C Klensin <john-ietf at jck.com>;  <46D7B176.1040206 at alvestrand.no> 

·  In-reply-to:  Harald Alvestrand <harald at alvestrand.no> 

·  List-help: <mailto:[email-masked]?subject=help> 

·  List-id: IETF-Discussion <ietf.ietf.org> 

·  List-post: <mailto:[email-masked]> 

·  List-subscribe: <https://www1.ietf.org/mailman/listinfo/ietf>, <mailto:[email-masked]?subject=subscribe> 

·  List-unsubscribe: <https://www1.ietf.org/mailman/listinfo/ietf>, <mailto:[email-masked]?subject=unsubscribe> 

·  References: <[email-masked]> <001401c7e608$1fab5f00$6801a8c0@oemcomputer> <[email-masked]> <000401c7e6db$bb2774e0$6801a8c0@oemcomputer> <[email-masked]> <003401c7e6e6$c4d97280$6801a8c0@oemcomputer> <[email-masked]> <003001c7e771$6b4911e0$6401a8c0@DGBP7M81> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> <[email-masked]> 

It would appear to me that the answer regarding consistency among the input methods, especially in how the variable-length character mnemonic [shorthand]s are framed, is answered in http://rfc.net/rfc1345.html at the end of section 2.4, part way down [Page 5].  I quote:—

      One prominent character in the reference character set is reserved

       for identifying variable-length mnemonics, namely the underline

       character "_". This character is intended as a delimiter both in the

       front and in the end of the mnemonic. An example of its use would be:

       (&=intro):

                   &_j3210_ &_j4436_&_j6530_

These mnemonic shorthands could logically be used in personal Word Processing programs for macros (thus speeding up the keying in of data) as well as in non-Unicode-based genealogy programs (which only allow decimal ALT-code entry for characters not seen on the keyboard).  Naturally, one could devise one's own system using mnemonic tables such as RFC 1345 for ideas.

  I personally am considering http://rfc.net/rfc1345.html (which appears to be used liberally in http://www.gloser.org/es/faq/shortcuts/ and http://www.eki.ee/letter/) along with other mnemonic layouts such as can be found at http://www.eki.ee/knab/kbdiakr.htm as well as more specialized sites like el_tigre's suggestion of 26 Jul 06 for Croatian at http://www.phrasebase.com/forum/read.php?action=print&TID=15844 and Vietnamese conventions (such as described at http://en.wikipedia.org/wiki/Telex_%28IME%29 and http://en.wikipedia.org/wiki/VIQR).

    As to the matter of IMEs (such as EMACS and SCIM), I'll leave that aspect to those specializing in that type of IME.

_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf